Page MenuHomePhabricator

Revert increased quota for services-test labs project
Closed, ResolvedPublic

Description

Project Name: services-testbed
Type of quota increase requested: room enough to add a 16G instance (+~11G RAM, +5 VCPUs)
Reason: I need to analyze a Java heap dump. This requires a machine with at least as much free RAM as the size of the dump (12G).

Event Timeline

Eevans created this task.Dec 19 2016, 8:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 8:31 PM

This request is similar to T148869: Request increased quota for services-test labs project; When finished with the analysis, we can revert the quota.

Eevans added a comment.Jan 4 2017, 4:49 PM

Anyway I could get an ETA on this, so that I know how to plan?

Hey @Eevans thanks for being patient with the holidays we are just now back in an almost normal session. Seems cool, thanks for noting this is temp (any rough timeline?). +1

Andrew added a subscriber: Andrew.Jan 4 2017, 7:19 PM

Approved, will do shortly

Andrew changed the task status from Open to Stalled.Jan 4 2017, 7:28 PM

Done -- please notify us when you're done with the additional instance.

Andrew renamed this task from Request increased quota for services-test labs project to Revert increased quota for services-test labs project.Jan 4 2017, 7:29 PM
Eevans added a comment.Jan 5 2017, 2:07 AM

Done -- please notify us when you're done with the additional instance.

Thanks; I'll let you know!

Eevans added a comment.Jan 5 2017, 3:05 PM

Hey @Eevans thanks for being patient with the holidays we are just now back in an almost normal session. Seems cool, thanks for noting this is temp (any rough timeline?). +1

I expect no later than COB tomorrow (Jan 6).

Eevans added a comment.Jan 5 2017, 7:10 PM

Done -- please notify us when you're done with the additional instance.

I'm not seeing enough capacity to launch an m1.xlarge instance. The services-testbed group has only 16GB of memory and 8 vcpus in total (of which 6,144M and 3 vcpus respectively are already in use). I'm trying to determine if it would be safe to remove the 3 existing instances to make room, but the person who can answer that is still on holiday :(.

Andrew added a comment.Jan 5 2017, 8:01 PM

Sorry, due to a typo when I first did this, your quotas were still wrong. I just now tried again... should be better.

Apologies for the confusion!

I have terminated the m1.xlarge instance I created for heap analysis, and you can now revert the quota increase. I realize that I kept this for longer than I originally indicated, sorry about that, and thanks for being patient!

Andrew closed this task as Resolved.Feb 13 2017, 4:15 PM
Andrew claimed this task.

reverted, thank you.